<template lang="pug">
figure.image__wrapper(v-lazyload)
  ImageSpinner.image__spinner
  img(
    class="image__item"
    :data-url="source"
    :alt="alt")
</template>

<script>
import ImageSpinner from './ImageSpinner';

export default {
  name: 'ImageItem',
  components: {
    ImageSpinner
  },
  props: {
    source: {
      type: String,
      required: true
    },
    alt: {
      type: String,
      required: false,
      default: ''
    }
  }
};
</script>
